Gitlab upgrade Error PG::DuplicateColumn

Hello, I was trying to upgrade gitlab on a debian server but I keep getting the error " Gitlab upgrade Error PG::DuplicateColumn:".
I found a post of a user with a similar issue but it didn’t have any answers.
After more googling I found a tutorial for resolving the gitlab error, but despite following the tutorial it still isn’t working.
Even after renaming the columns as instructed and running apt -f install gitlab-ce, the upgrade keeps returning the same error.

Does anyone have any tips or suggestions for how I could solve or at least troubleshoot this?